'\" te	(causes both "tbl" and "eqn" to be invoked)
'\"	man_tem -- template for VMB software manual entry
.tr ~
.TH HPROFF 1V REB
'\"	last edit:	%E%	J. W. Kinch
'\"	SCCS ID:	%W%
.SH NAME
hproff \- processes files through nroff and queues the output to MDQS
for a HP LaserJet Printer.
.SH SYNOPSIS
.B hproff
[
.B \-q
] arg..
[
.B \-f
] arg..
[
.B \-p
] arg..
[
.B \-o
] arg..
[
.B \-m
] arg..
[
.B \-e
]
[
.B \-M
]
[
.B \-r
] arg..
[
.B \-w
]
file ...
.SH DESCRIPTION
.I hproff\^
is a shell script that processes each 
.I file\^
in sequence through
.I tbl,
.I neqn,
and
.I nroff.
The output of nroff is filtered by the
.I hpfltr
filter and piped to
.I qpr
for queueing.
.SS Options
.P
Options and their meanings are:
.PP
.PD 0
.TP 11
.B \-q arg
argument is taken as the name of the MDQS queue to be
used on the qpr request.  If this option is not given, the queue name is
taken from the environment variable $HPQUE.  If neither is available, an
error is issued.
.TP
.B \-f c10
selects the Courier 10-pitch font. (Default)
.TP
.B \-f e12
selects the Prestige Elite 12-pitch font.
.TP
.B \-pg11
selects 11-inch paper.
.TP
.B \-pg14
selects 14-inch paper.
.TP
.B \-o[pages]
selects the page numbers to be processed (same as nroff
.B \-o
option).
.TP
.B \-mm
selects the mm macro package (Default).
.TP
.B \-mmbrl
selects the mmBRL macro package.
.TP
.B \-ms
selects the ms macro package.
.TP
.B \-M
places the printer in 
.I "Manual Feed"
mode.  This is to allow the feeding of non-standard paper, envelopes etc.
.TP
.B \-r[register][value]
passes this option directly to \fInroff\fR to set register (one
character) to value.
.TP
.B \-w
selects all the proper options to print nroff output in landscape mode.
The line width and page length are changed and the proper options are
supplied to qpr.
.PD
.SH EXAMPLE(S)
To nroff a file  and queue the output for the queue name in $HPQUE in
portrait mode with the Courier 10-pitch font:
.RS
$ \fIhproff [ filename ]\fR
.RE
.P
To nroff a file and queue the output for the queue name
.I rebhp1
using the Courier 10-pitch font and the mmBRL macros:
.RS
$ \fIhproff \-mmbrl \-q rebhp1 [ filename ]\fR
.RE
.SH "SEE ALSO"
nroff(1), qpr(1), hpfltr(1)
'\" All VMB documents have a "V" following the section number.
.SH DIAGNOSTICS
If the environment variable $HPQUE is not set and the
.I \-q
option is omitted, a diagnostic is 
printed on the standard error output
and the script exits.
.SH AUTHOR(S)
J. W. Kinch, BRL/VLD-REB
